#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct GfxBase * GfxBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME GfxBase
#endif
__inline static long BltBitMap(BASE_PAR_DECL const struct BitMap* srcBitMap, long srcX, long srcY, struct BitMap* destBitMap, long destX, long destY, long sizeX, long sizeY, long minterm, long mask, long tempA)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const struct BitMap* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register struct BitMap* a1 __asm("a1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");
	register long d5 __asm("d5");
	register long d6 __asm("d6");
	register long d7 __asm("d7");
	register long a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = srcBitMap;
	d0 = srcX;
	d1 = srcY;
	a1 = destBitMap;
	d2 = destX;
	d3 = destY;
	d4 = sizeX;
	d5 = sizeY;
	d6 = minterm;
	d7 = mask;
	a2 = tempA;
	__asm volatile ("" : /* no input */
	: "r" (a0), "r" (d0), "r" (d1), "r" (a1), "r" (d2));
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=r" (res)
	: "r" (a6), "r" (d2), "r" (d3), "r" (d4), "r" (d5), "r" (d6), "r" (d7)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5", "d6", "d7", "a2");
	*a1=*a1;*(char *)a2=*(char *)a2;
	return res;
}
__inline static void BltTemplate(BASE_PAR_DECL const char* source, long srcX, long srcMod, struct RastPort* destRastPort, long destX, long destY, long sizeX, long sizeY)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register const char* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register struct RastPort* a1 __asm("a1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");
	register long d5 __asm("d5");

	a6 = BASE_NAME;
	a0 = source;
	d0 = srcX;
	d1 = srcMod;
	a1 = destRastPort;
	d2 = destX;
	d3 = destY;
	d4 = sizeX;
	d5 = sizeY;
	__asm volatile ("" : /* no input */
	: "r" (a0));
	__asm volatile ("
	jsr a6@(-0x24)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (d0), "r" (d1), "r" (a1), "r" (d2), "r" (d3), "r" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5");
	*a1=*a1;
}
__inline static void ClearEOL(BASE_PAR_DECL struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void ClearScreen(BASE_PAR_DECL struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x30)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static long TextLength(BASE_PAR_DECL const struct RastPort* RastPort, const char* string, long count)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const struct RastPort* a1 __asm("a1");
	register const char* a0 __asm("a0");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a1 = RastPort;
	a0 = string;
	d0 = count;
	__asm volatile ("
	jsr a6@(-0x36)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static long Text(BASE_PAR_DECL struct RastPort* RastPort, const char* string, long count)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register const char* a0 __asm("a0");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a1 = RastPort;
	a0 = string;
	d0 = count;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
	return res;
}
__inline static void SetFont(BASE_PAR_DECL struct RastPort* RastPortID, struct TextFont* textFont)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register struct TextFont* a0 __asm("a0");

	a6 = BASE_NAME;
	a1 = RastPortID;
	a0 = textFont;
	__asm volatile ("
	jsr a6@(-0x42)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static struct TextFont * OpenFont(BASE_PAR_DECL struct TextAttr* textAttr)
{
	BASE_EXT_DECL
	register struct TextFont * res __asm("d0");
	register void *a6 __asm ("a6");
	register struct TextAttr* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = textAttr;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=r" (res)
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
	return res;
}
__inline static void CloseFont(BASE_PAR_DECL struct TextFont* textFont)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct TextFont* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = textFont;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static long AskSoftStyle(BASE_PAR_DECL const struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=r" (res)
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static long SetSoftStyle(BASE_PAR_DECL struct RastPort* rastPort, long style, long enable)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = style;
	d1 = enable;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
	return res;
}
__inline static void AddBob(BASE_PAR_DECL struct Bob* bob, struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Bob* a0 __asm("a0");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = bob;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x60)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void AddVSprite(BASE_PAR_DECL struct VSprite* vSprite, struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct VSprite* a0 __asm("a0");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = vSprite;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x66)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void DoCollision(BASE_PAR_DECL struct RastPort* rasPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rasPort;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void DrawGList(BASE_PAR_DECL struct RastPort* rastPort, struct ViewPort* viewPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register struct ViewPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a1 = rastPort;
	a0 = viewPort;
	__asm volatile ("
	jsr a6@(-0x72)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void InitGels(BASE_PAR_DECL struct VSprite* dummyHead, struct VSprite* dummyTail, struct GelsInfo* GelsInfo)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct VSprite* a0 __asm("a0");
	register struct VSprite* a1 __asm("a1");
	register struct GelsInfo* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = dummyHead;
	a1 = dummyTail;
	a2 = GelsInfo;
	__asm volatile ("
	jsr a6@(-0x78)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	*a0=*a0;*a1=*a1;*a2=*a2;
}
__inline static void InitMasks(BASE_PAR_DECL struct VSprite* vSprite)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct VSprite* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = vSprite;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void RemIBob(BASE_PAR_DECL struct Bob* bob, struct RastPort* rastPort, struct ViewPort* viewPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Bob* a0 __asm("a0");
	register struct RastPort* a1 __asm("a1");
	register struct ViewPort* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = bob;
	a1 = rastPort;
	a2 = viewPort;
	__asm volatile ("
	jsr a6@(-0x84)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	*a0=*a0;*a1=*a1;*a2=*a2;
}
__inline static void RemVSprite(BASE_PAR_DECL struct VSprite* vSprite)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct VSprite* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = vSprite;
	__asm volatile ("
	jsr a6@(-0x8a)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void SetCollision(BASE_PAR_DECL long type, void (*routine)(), struct GelsInfo* gelsInfo)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long d0 __asm("d0");
	register void (*a0)() __asm("a0");
	register struct GelsInfo* a1 __asm("a1");

	a6 = BASE_NAME;
	d0 = type;
	a0 = routine;
	a1 = gelsInfo;
	__asm volatile ("
	jsr a6@(-0x90)"
	: /* no output */
	: "r" (a6), "r" (d0), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void SortGList(BASE_PAR_DECL struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x96)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void AddAnimOb(BASE_PAR_DECL struct AnimOb* obj, struct AnimOb** animationKey, struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct AnimOb* a0 __asm("a0");
	register struct AnimOb** a1 __asm("a1");
	register struct RastPort* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = obj;
	a1 = animationKey;
	a2 = rastPort;
	__asm volatile ("
	jsr a6@(-0x9c)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	*a0=*a0;*a1=*a1;*a2=*a2;
}
__inline static void Animate(BASE_PAR_DECL struct AnimOb** animationKey, struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct AnimOb** a0 __asm("a0");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = animationKey;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0xa2)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static long GetGBuffers(BASE_PAR_DECL struct AnimOb* animationObj, struct RastPort* rastPort, long doubleBuffer)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct AnimOb* a0 __asm("a0");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = animationObj;
	a1 = rastPort;
	d0 = doubleBuffer;
	__asm volatile ("
	jsr a6@(-0xa8)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
	return res;
}
__inline static void InitGMasks(BASE_PAR_DECL struct AnimOb* animationObj)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct AnimOb* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = animationObj;
	__asm volatile ("
	jsr a6@(-0xae)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void DrawEllipse(BASE_PAR_DECL struct RastPort* rastPort, long cx, long cy, long a, long b)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = cx;
	d1 = cy;
	d2 = a;
	d3 = b;
	__asm volatile ("
	jsr a6@(-0xb4)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1), "r" (d2), "r" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	*a1=*a1;
}
__inline static long AreaEllipse(BASE_PAR_DECL struct RastPort* rastPort, long cx, long cy, long a, long b)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = cx;
	d1 = cy;
	d2 = a;
	d3 = b;
	__asm volatile ("
	jsr a6@(-0xba)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1), "r" (d2), "r" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	*a1=*a1;
	return res;
}
__inline static void LoadRGB4(BASE_PAR_DECL struct ViewPort* viewPort, unsigned *colors, long count)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");
	register unsigned *a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = viewPort;
	a1 = colors;
	d0 = count;
	__asm volatile ("
	jsr a6@(-0xc0)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void InitRastPort(BASE_PAR_DECL struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0xc6)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void InitVPort(BASE_PAR_DECL struct ViewPort* viewPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = viewPort;
	__asm volatile ("
	jsr a6@(-0xcc)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void MrgCop(BASE_PAR_DECL struct View* view)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct View* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = view;
	__asm volatile ("
	jsr a6@(-0xd2)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void MakeVPort(BASE_PAR_DECL struct View* view, struct ViewPort* viewPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct View* a0 __asm("a0");
	register struct ViewPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = view;
	a1 = viewPort;
	__asm volatile ("
	jsr a6@(-0xd8)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void LoadView(BASE_PAR_DECL struct View* view)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct View* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = view;
	__asm volatile ("
	jsr a6@(-0xde)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void WaitBlit(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0xe4)"
	: /* no output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void SetRast(BASE_PAR_DECL struct RastPort* rastPort, long color)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = color;
	__asm volatile ("
	jsr a6@(-0xea)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void Move(BASE_PAR_DECL struct RastPort* rastPort, long x, long y)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0xf0)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void Draw(BASE_PAR_DECL struct RastPort* rastPort, long x, long y)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0xf6)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static long AreaMove(BASE_PAR_DECL struct RastPort* rastPort, long x, long y)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0xfc)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
	return res;
}
__inline static long AreaDraw(BASE_PAR_DECL struct RastPort* rastPort, long x, long y)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0x102)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
	return res;
}
__inline static void AreaEnd(BASE_PAR_DECL struct RastPort* rastPort)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = rastPort;
	__asm volatile ("
	jsr a6@(-0x108)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void WaitTOF(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x10e)"
	: /* no output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void QBlit(BASE_PAR_DECL struct bltnode* blit)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct bltnode* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = blit;
	__asm volatile ("
	jsr a6@(-0x114)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void InitArea(BASE_PAR_DECL struct AreaInfo* areaInfo, short* vectorTable, long vectorTableSize)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct AreaInfo* a0 __asm("a0");
	register short* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = areaInfo;
	a1 = vectorTable;
	d0 = vectorTableSize;
	__asm volatile ("
	jsr a6@(-0x11a)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void SetRGB4(BASE_PAR_DECL struct ViewPort* viewPort, long index, long r, long g, long b)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");

	a6 = BASE_NAME;
	a0 = viewPort;
	d0 = index;
	d1 = r;
	d2 = g;
	d3 = b;
	__asm volatile ("
	jsr a6@(-0x120)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (d0), "r" (d1), "r" (d2), "r" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	*a0=*a0;
}
__inline static void QBSBlit(BASE_PAR_DECL struct bltnode* blit)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct bltnode* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = blit;
	__asm volatile ("
	jsr a6@(-0x126)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void BltClear(BASE_PAR_DECL char* memory, long size, long flags)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register char* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = memory;
	d0 = size;
	d1 = flags;
	__asm volatile ("
	jsr a6@(-0x12c)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void RectFill(BASE_PAR_DECL struct RastPort* rastPort, long xl, long yl, long xu, long yu)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = xl;
	d1 = yl;
	d2 = xu;
	d3 = yu;
	__asm volatile ("
	jsr a6@(-0x132)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1), "r" (d2), "r" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	*a1=*a1;
}
__inline static void BltPattern(BASE_PAR_DECL struct RastPort* rastPort, const char* ras, long xl, long yl, long maxX, long maxY, long fillBytes)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register const char* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");

	a6 = BASE_NAME;
	a1 = rastPort;
	a0 = ras;
	d0 = xl;
	d1 = yl;
	d2 = maxX;
	d3 = maxY;
	d4 = fillBytes;
	__asm volatile ("
	jsr a6@(-0x138)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (a0), "r" (d0), "r" (d1), "r" (d2), "r" (d3), "r" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	*a1=*a1;
}
__inline static long ReadPixel(BASE_PAR_DECL const struct RastPort* rastPort, long x, long y)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0x13e)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void WritePixel(BASE_PAR_DECL struct RastPort* rastPort, long x, long y)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0x144)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static long Flood(BASE_PAR_DECL struct RastPort* rastPort, long mode, long x, long y)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d2 __asm("d2");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = rastPort;
	d2 = mode;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0x14a)"
	: "=r" (res)
	: "r" (a6), "r" (a1), "r" (d2), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1", "d2");
	*a1=*a1;
	return res;
}
__inline static void PolyDraw(BASE_PAR_DECL struct RastPort* rastPort, long count, const short* polyTable)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register const short* a0 __asm("a0");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = count;
	a0 = polyTable;
	__asm volatile ("
	jsr a6@(-0x150)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void SetAPen(BASE_PAR_DECL struct RastPort* rastPort, long pen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = pen;
	__asm volatile ("
	jsr a6@(-0x156)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void SetBPen(BASE_PAR_DECL struct RastPort* rastPort, long pen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = pen;
	__asm volatile ("
	jsr a6@(-0x15c)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void SetDrMd(BASE_PAR_DECL struct RastPort* rastPort, long drawMode)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = drawMode;
	__asm volatile ("
	jsr a6@(-0x162)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void InitView(BASE_PAR_DECL struct View* view)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct View* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = view;
	__asm volatile ("
	jsr a6@(-0x168)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void CBump(BASE_PAR_DECL struct UCopList* copperList)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct UCopList* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = copperList;
	__asm volatile ("
	jsr a6@(-0x16e)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static void CMove(BASE_PAR_DECL struct UCopList* copperList, long* destination, long data)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct UCopList* a1 __asm("a1");
	register long* d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = copperList;
	d0 = destination;
	d1 = data;
	__asm volatile ("
	jsr a6@(-0x174)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;*d0=*d0;
}
__inline static void CWait(BASE_PAR_DECL struct UCopList* copperList, long x, long y)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct UCopList* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a1 = copperList;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0x17a)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static long VBeamPos(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x180)"
	: "=r" (res)
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void InitBitMap(BASE_PAR_DECL struct BitMap* bitMap, long depth, long width, long height)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct BitMap* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");

	a6 = BASE_NAME;
	a0 = bitMap;
	d0 = depth;
	d1 = width;
	d2 = height;
	__asm volatile ("
	jsr a6@(-0x186)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (d0), "r" (d1), "r" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	*a0=*a0;
}
__inline static void ScrollRaster(BASE_PAR_DECL struct RastPort* rastPort, long dX, long dY, long minx, long miny, long maxx, long maxy)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");
	register long d5 __asm("d5");

	a6 = BASE_NAME;
	a1 = rastPort;
	d0 = dX;
	d1 = dY;
	d2 = minx;
	d3 = miny;
	d4 = maxx;
	d5 = maxy;
	__asm volatile ("
	jsr a6@(-0x18c)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (d0), "r" (d1), "r" (d2), "r" (d3), "r" (d4), "r" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5");
	*a1=*a1;
}
__inline static void WaitBOVP(BASE_PAR_DECL struct ViewPort* viewport)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = viewport;
	__asm volatile ("
	jsr a6@(-0x192)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static long GetSprite(BASE_PAR_DECL struct SimpleSprite* simplesprite, long num)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct SimpleSprite* a0 __asm("a0");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = simplesprite;
	d0 = num;
	__asm volatile ("
	jsr a6@(-0x198)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
	return res;
}
__inline static void FreeSprite(BASE_PAR_DECL long num)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = num;
	__asm volatile ("
	jsr a6@(-0x19e)"
	: /* no output */
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static void ChangeSprite(BASE_PAR_DECL struct ViewPort* vp, struct SimpleSprite* simplesprite, short* data)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");
	register struct SimpleSprite* a1 __asm("a1");
	register short* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = vp;
	a1 = simplesprite;
	a2 = data;
	__asm volatile ("
	jsr a6@(-0x1a4)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	*a0=*a0;*a1=*a1;*a2=*a2;
}
__inline static void MoveSprite(BASE_PAR_DECL struct ViewPort* viewport, struct SimpleSprite* simplesprite, long x, long y)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");
	register struct SimpleSprite* a1 __asm("a1");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = viewport;
	a1 = simplesprite;
	d0 = x;
	d1 = y;
	__asm volatile ("
	jsr a6@(-0x1aa)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void LockLayerRom(BASE_PAR_DECL struct Layer* layer)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Layer* a4 __asm("a4"); /* cheating .. */

	a6 = BASE_NAME;
	a4 = layer;
	__asm volatile ("
	exg a4,a5
	jsr a6@(-0x1b0)
	exg a4,a5"
	: /* no output */
	: "r" (a6), "r" (a4)
	: "d0", "d1", "a0", "a1", "a4");
	*a4=*a4;
}
__inline static void UnlockLayerRom(BASE_PAR_DECL struct Layer* layer)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Layer* a4 __asm("a4"); /* cheating */

	a6 = BASE_NAME;
	a4 = layer;
	__asm volatile ("
	exg a4,a5
	jsr a6@(-0x1b6)
	exg a4,a5"
	: /* no output */
	: "r" (a6), "r" (a4)
	: "d0", "d1", "a0", "a1", "a4");
	*a4=*a4;
}
__inline static void SyncSBitMap(BASE_PAR_DECL struct Layer* l)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Layer* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = l;
	__asm volatile ("
	jsr a6@(-0x1bc)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void CopySBitMap(BASE_PAR_DECL struct Layer* l)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Layer* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = l;
	__asm volatile ("
	jsr a6@(-0x1c2)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void OwnBlitter(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x1c8)"
	: /* no output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void DisownBlitter(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x1ce)"
	: /* no output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void InitTmpRas(BASE_PAR_DECL struct TmpRas* tmpras, char* buff, long size)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct TmpRas* a0 __asm("a0");
	register char* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = tmpras;
	a1 = buff;
	d0 = size;
	__asm volatile ("
	jsr a6@(-0x1d4)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void AskFont(BASE_PAR_DECL struct RastPort* rastPort, struct TextAttr* textAttr)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a1 __asm("a1");
	register struct TextAttr* a0 __asm("a0");

	a6 = BASE_NAME;
	a1 = rastPort;
	a0 = textAttr;
	__asm volatile ("
	jsr a6@(-0x1da)"
	: /* no output */
	: "r" (a6), "r" (a1), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static void AddFont(BASE_PAR_DECL struct TextFont* textFont)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct TextFont* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = textFont;
	__asm volatile ("
	jsr a6@(-0x1e0)"
	: /* no output */
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
}
__inline static long RemFont(BASE_PAR_DECL struct TextFont* textFont)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct TextFont* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = textFont;
	__asm volatile ("
	jsr a6@(-0x1e6)"
	: "=r" (res)
	: "r" (a6), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a1=*a1;
	return res;
}
__inline static void * AllocRaster(BASE_PAR_DECL long width, long height)
{
	BASE_EXT_DECL
	register void * res __asm("d0");
	register void *a6 __asm ("a6");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = width;
	d1 = height;
	__asm volatile ("
	jsr a6@(-0x1ec)"
	: "=r" (res)
	: "r" (a6), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeRaster(BASE_PAR_DECL void* planeptr, long width, long height)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register void* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = planeptr;
	d0 = width;
	d1 = height;
	__asm volatile ("
	jsr a6@(-0x1f2)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (d0), "r" (d1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void AndRectRegion(BASE_PAR_DECL struct Region* rgn, struct Rectangle* rect)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Rectangle* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = rgn;
	a1 = rect;
	__asm volatile ("
	jsr a6@(-0x1f8)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1; /* possibly a1 (rect) is const here */
}
__inline static void OrRectRegion(BASE_PAR_DECL struct Region* rgn, struct Rectangle* rect)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Rectangle* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = rgn;
	a1 = rect;
	__asm volatile ("
	jsr a6@(-0x1fe)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1; /* possibly a1 (rect) is const here */
}
__inline static struct Region * NewRegion(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct Region * res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x204)"
	: "=r" (res)
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static long ClearRectRegion(BASE_PAR_DECL struct Region* rgn, struct Rectangle* rect)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Rectangle* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = rgn;
	a1 = rect;
	__asm volatile ("
	jsr a6@(-0x20a)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1; /* possibly a1 (rect) is const here */
	return res;
}
__inline static void ClearRegion(BASE_PAR_DECL struct Region* rgn)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = rgn;
	__asm volatile ("
	jsr a6@(-0x210)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void DisposeRegion(BASE_PAR_DECL struct Region* rgn)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = rgn;
	__asm volatile ("
	jsr a6@(-0x216)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void FreeVPortCopLists(BASE_PAR_DECL struct ViewPort* viewport)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = viewport;
	__asm volatile ("
	jsr a6@(-0x21c)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void FreeCopList(BASE_PAR_DECL struct CopList* coplist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct CopList* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = coplist;
	__asm volatile ("
	jsr a6@(-0x222)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void ClipBlit(BASE_PAR_DECL const struct RastPort* srcrp, long srcX, long srcY, struct RastPort* destrp, long destX, long destY, long sizeX, long sizeY, long minterm)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register const struct RastPort* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register struct RastPort* a1 __asm("a1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");
	register long d5 __asm("d5");
	register long d6 __asm("d6");

	a6 = BASE_NAME;
	a0 = srcrp;
	d0 = srcX;
	d1 = srcY;
	a1 = destrp;
	d2 = destX;
	d3 = destY;
	d4 = sizeX;
	d5 = sizeY;
	d6 = minterm;
	__asm volatile ("" : /* no input */
	: "r" (a0), "r" (d0));
	__asm volatile ("
	jsr a6@(-0x228)"
	: /* no output */
	: "r" (a6), "r" (d0), "r" (d1), "r" (a1), "r" (d2), "r" (d3), "r" (d4), "r" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5", "d6");
	*a1=*a1;
}
__inline static void XorRectRegion(BASE_PAR_DECL struct Region* rgn, struct Rectangle* rect)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Rectangle* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = rgn;
	a1 = rect;
	__asm volatile ("
	jsr a6@(-0x22e)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1; /* possibly a1 (rect) is const here */
}
__inline static void FreeCprList(BASE_PAR_DECL struct cprlist* cprlist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct cprlist* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = cprlist;
	__asm volatile ("
	jsr a6@(-0x234)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static struct ColorMap * GetColorMap(BASE_PAR_DECL long entries)
{
	BASE_EXT_DECL
	register struct ColorMap * res __asm("d0");
	register void *a6 __asm ("a6");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = entries;
	__asm volatile ("
	jsr a6@(-0x23a)"
	: "=r" (res)
	: "r" (a6), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeColorMap(BASE_PAR_DECL struct ColorMap* colormap)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ColorMap* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = colormap;
	__asm volatile ("
	jsr a6@(-0x240)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static long GetRGB4(BASE_PAR_DECL const struct ColorMap* colormap, long entry)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const struct ColorMap* a0 __asm("a0");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = colormap;
	d0 = entry;
	__asm volatile ("
	jsr a6@(-0x246)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ScrollVPort(BASE_PAR_DECL struct ViewPort* vp)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ViewPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = vp;
	__asm volatile ("
	jsr a6@(-0x24c)"
	: /* no output */
	: "r" (a6), "r" (a0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void UCopperListInit(BASE_PAR_DECL struct UCopList* copperlist, long num)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct UCopList* a0 __asm("a0");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = copperlist;
	d0 = num;
	__asm volatile ("
	jsr a6@(-0x252)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;
}
__inline static void FreeGBuffers(BASE_PAR_DECL struct AnimOb* animationObj, struct RastPort* rastPort, long doubleBuffer)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct AnimOb* a0 __asm("a0");
	register struct RastPort* a1 __asm("a1");
	register long d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = animationObj;
	a1 = rastPort;
	d0 = doubleBuffer;
	__asm volatile ("
	jsr a6@(-0x258)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (a1), "r" (d0)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
}
__inline static long BltBitMapRastPort(BASE_PAR_DECL const struct BitMap* srcbm, long srcx, long srcy, struct RastPort* destrp, long destX, long destY, long sizeX, long sizeY, long minterm)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register const struct BitMap* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register struct RastPort* a1 __asm("a1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");
	register long d5 __asm("d5");
	register long d6 __asm("d6");

	a6 = BASE_NAME;
	a0 = srcbm;
	d0 = srcx;
	d1 = srcy;
	a1 = destrp;
	d2 = destX;
	d3 = destY;
	d4 = sizeX;
	d5 = sizeY;
	d6 = minterm;
	__asm volatile ("" : /* no input */
	: "r" (a0), "r" (d0), "r" (d1));
	__asm volatile ("
	jsr a6@(-0x25e)"
	: "=r" (res)
	: "r" (a6), "r" (d1), "r" (a1), "r" (d2), "r" (d3), "r" (d4), "r" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5", "d6");
	*a1=*a1;
	return res;
}
__inline static long OrRegionRegion(BASE_PAR_DECL struct Region* src, struct Region* dst)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Region* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = src;
	a1 = dst;
	__asm volatile ("
	jsr a6@(-0x264)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
	return res;
}
__inline static long XorRegionRegion(BASE_PAR_DECL struct Region* src, struct Region* dst)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Region* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = src;
	a1 = dst;
	__asm volatile ("
	jsr a6@(-0x26a)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
	return res;
}
__inline static long AndRegionRegion(BASE_PAR_DECL struct Region* src, struct Region* dst)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Region* a0 __asm("a0");
	register struct Region* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = src;
	a1 = dst;
	__asm volatile ("
	jsr a6@(-0x270)"
	: "=r" (res)
	: "r" (a6), "r" (a0), "r" (a1)
	: "d0", "d1", "a0", "a1");
	*a0=*a0;*a1=*a1;
	return res;
}
__inline static void SetRGB4CM(BASE_PAR_DECL struct ColorMap* cm, long i, long r, long g, long b)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct ColorMap* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");

	a6 = BASE_NAME;
	a0 = cm;
	d0 = i;
	d1 = r;
	d2 = g;
	d3 = b;
	__asm volatile ("
	jsr a6@(-0x276)"
	: /* no output */
	: "r" (a6), "r" (a0), "r" (d0), "r" (d1), "r" (d2), "r" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	*a0=*a0;
}
__inline static void BltMaskBitMapRastPort(BASE_PAR_DECL const struct BitMap* srcbm, long srcx, long srcy, struct RastPort* destrp, long destX, long destY, long sizeX, long sizeY, long minterm, const void* bltmask)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register const struct BitMap* a0 __asm("a0");
	register long d0 __asm("d0");
	register long d1 __asm("d1");
	register struct RastPort* a1 __asm("a1");
	register long d2 __asm("d2");
	register long d3 __asm("d3");
	register long d4 __asm("d4");
	register long d5 __asm("d5");
	register long d6 __asm("d6");
	register const void* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = srcbm;
	d0 = srcx;
	d1 = srcy;
	a1 = destrp;
	d2 = destX;
	d3 = destY;
	d4 = sizeX;
	d5 = sizeY;
	d6 = minterm;
	a2 = bltmask;
	__asm volatile ("" : /* no input */
	: "r" (a0), "r" (d0), "r" (d1));
	__asm volatile ("
	jsr a6@(-0x27c)"
	: /* no output */
	: "r" (a6), "r" (d1), "r" (a1), "r" (d2), "r" (d3), "r" (d4), "r" (d5), "r" (d6)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5", "d6", "a2");
	*a1=*a1;
}
#ifdef PRIVATE
__inline static void GraphicsReserved1(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x282)"
	: /* no output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void GraphicsReserved2(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x288)"
	: /* no output */
	: "r" (a6)
	: "d0", "d1", "a0", "a1");
}
#endif
__inline static long AttemptLockLayerRom(BASE_PAR_DECL struct Layer* layer)
{
	BASE_EXT_DECL
	register long res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Layer* a4 __asm("a4"); /* cheating */

	a6 = BASE_NAME;
	a4 = layer;
	__asm volatile ("
	exg a4,a5
	jsr a6@(-0x28e)
	exg a4,a5"
	: "=r" (res)
	: "r" (a6), "r" (a4)
	: "d0", "d1", "a0", "a1", "a4");
	*a4=*a4;
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME
